Index: /NEMO/branches/UKMO/r8395_cpl-pressure/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90
===================================================================
--- /NEMO/branches/UKMO/r8395_cpl-pressure/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 11344)
+++ /NEMO/branches/UKMO/r8395_cpl-pressure/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 11345)
@@ -1138,36 +1138,38 @@
       ! 
       IF( srcv(jpr_mslp)%laction ) THEN                    ! UKMO SHELF effect of atmospheric pressure on SSH 
-          IF( kt /= nit000 )   ssh_ibb(:,:) = ssh_ib(:,:)    !* Swap of ssh_ib fields 
-
-          !                                                  !* update the reference atmospheric pressure (if necessary) 
-          IF( ln_ref_apr )  rn_pref = glob_sum( frcv(jpr_mslp)%z3(:,:,1) * e1e2t(:,:) ) / tarea
-
-          ssh_ib(:,:) = - ( frcv(jpr_mslp)%z3(:,:,1) - rn_pref ) * r1_grau  ! equivalent ssh (inverse barometer) 
-          apr   (:,:) =     frcv(jpr_mslp)%z3(:,:,1)                        !atmospheric pressure 
-          !
-          CALL iom_put( "ssh_ib", ssh_ib )                                  !* output the inverse barometer ssh
-          !                                         ! ---------------------------------------- ! 
-          IF( kt == nit000 ) THEN                   !   set the forcing field at nit000 - 1    ! 
-             !                                      ! ---------------------------------------- ! 
-             !* Restart: read in restart file 
-             IF( ln_rstart .AND. iom_varid( numror, 'ssh_ibb', ldstop = .FALSE. ) > 0 ) THEN 
-                IF(lwp) WRITE(numout,*) 'sbc_cpl:   ssh_ibb read in the restart file' 
-                CALL iom_get( numror, jpdom_autoglo, 'ssh_ibb', ssh_ibb )   ! before inv. barometer ssh 
-             ELSE                                         !* no restart: set from nit000 values 
-                IF(lwp) WRITE(numout,*) 'sbc_cpl:   ssh_ibb set to nit000 values' 
-                ssh_ibb(:,:) = ssh_ib(:,:) 
+          IF( ln_apr_dyn ) THEN
+             IF( kt /= nit000 )   ssh_ibb(:,:) = ssh_ib(:,:)    !* Swap of ssh_ib fields 
+    
+             !                                                  !* update the reference atmospheric pressure (if necessary) 
+             IF( ln_ref_apr )  rn_pref = glob_sum( frcv(jpr_mslp)%z3(:,:,1) * e1e2t(:,:) ) / tarea
+    
+             ssh_ib(:,:) = - ( frcv(jpr_mslp)%z3(:,:,1) - rn_pref ) * r1_grau  ! equivalent ssh (inverse barometer) 
+             apr   (:,:) =     frcv(jpr_mslp)%z3(:,:,1)                        !atmospheric pressure 
+             !
+             CALL iom_put( "ssh_ib", ssh_ib )                                  !* output the inverse barometer ssh
+             !                                         ! ---------------------------------------- ! 
+             IF( kt == nit000 ) THEN                   !   set the forcing field at nit000 - 1    ! 
+                !                                      ! ---------------------------------------- ! 
+                !* Restart: read in restart file 
+                IF( ln_rstart .AND. iom_varid( numror, 'ssh_ibb', ldstop = .FALSE. ) > 0 ) THEN 
+                   IF(lwp) WRITE(numout,*) 'sbc_cpl:   ssh_ibb read in the restart file' 
+                   CALL iom_get( numror, jpdom_autoglo, 'ssh_ibb', ssh_ibb )   ! before inv. barometer ssh 
+                ELSE                                         !* no restart: set from nit000 values 
+                   IF(lwp) WRITE(numout,*) 'sbc_cpl:   ssh_ibb set to nit000 values' 
+                   ssh_ibb(:,:) = ssh_ib(:,:) 
+                ENDIF 
              ENDIF 
-          ENDIF 
-          !                                         ! ---------------------------------------- ! 
-          IF( lrst_oce ) THEN                       !      Write in the ocean restart file     ! 
-             !                                      ! ---------------------------------------- ! 
-             IF(lwp) WRITE(numout,*) 
-             IF(lwp) WRITE(numout,*) 'sbc_cpl : ssh_ib written in ocean restart file at it= ', kt,' date= ', ndastp 
-             IF(lwp) WRITE(numout,*) '~~~~' 
-             CALL iom_rstput( kt, nitrst, numrow, 'ssh_ibb' , ssh_ib ) 
-          ENDIF 
+             !                                         ! ---------------------------------------- ! 
+             IF( lrst_oce ) THEN                       !      Write in the ocean restart file     ! 
+                !                                      ! ---------------------------------------- ! 
+                IF(lwp) WRITE(numout,*) 
+                IF(lwp) WRITE(numout,*) 'sbc_cpl : ssh_ib written in ocean restart file at it= ', kt,' date= ', ndastp 
+                IF(lwp) WRITE(numout,*) '~~~~' 
+                CALL iom_rstput( kt, nitrst, numrow, 'ssh_ibb' , ssh_ib ) 
+             ENDIF 
+          ENDIF
      
           ! Update mean ssh 
-          CALL sbc_ssm_cpl( kt )
+          IF( nn_components /= jp_iam_sas ) CALL sbc_ssm_cpl( kt )
       END IF 
       !