Index: NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/OCE/SBC/sbccpl.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/OCE/SBC/sbccpl.F90	(revision 11271)
+++ NEMO/branches/UKMO/NEMO_4.0_GO8_coupled_iodef/src/OCE/SBC/sbccpl.F90	(revision 11355)
@@ -1378,4 +1378,9 @@
          CALL iom_put( 'frq_m', frq_m )
       ENDIF
+
+      IF(narea == 419) THEN
+         WRITE(9419,*) 'k_ice, kt, k_fsbc = ',k_ice, kt, k_fsbc
+         WRITE(9419,*) 'MOD( kt-1, k_fsbc ) = ',MOD( kt-1, k_fsbc )
+      ENDIF
       
       !                                                      ! ========================= !
@@ -1396,8 +1401,18 @@
             zemp(:,:) = 0._wp
          ENDIF
+
+         IF(narea == 419) THEN
+            WRITE(9419,*) 'max zemp after coupling = ',MAXVAL(  ABS( zemp(:,:) )  )
+         ENDIF
+
          !
          !                                                        ! runoffs and calving (added in emp)
          IF( srcv(jpr_rnf)%laction )     rnf(:,:) = frcv(jpr_rnf)%z3(:,:,1)
          IF( srcv(jpr_cal)%laction )     zemp(:,:) = zemp(:,:) - frcv(jpr_cal)%z3(:,:,1)
+
+         IF(narea == 419) THEN
+            WRITE(9419,*) 'max zemp after runoff = ',MAXVAL(  ABS( zemp(:,:) )  )
+            WRITE(9419,*) 'max emp after runoff = ',MAXVAL(  ABS( emp(:,:) )  )
+         ENDIF
  
          IF( srcv(jpr_icb)%laction )  THEN 
@@ -1410,4 +1425,9 @@
          ELSE                   ;   emp(:,:) =                              zemp(:,:)
          ENDIF
+
+         IF(narea == 419) THEN
+            WRITE(9419,*) 'max emp after conversion from zemp = ',MAXVAL(  ABS( emp(:,:) )  )
+         ENDIF
+
          !
          !                                                       ! non solar heat flux over the ocean (qns)
@@ -1733,4 +1753,14 @@
       ENDIF
 
+      IF(narea == 419) THEN
+         WRITE(9419,*) 'emp_tot(48,31) = ',emp_tot(48,31)
+         WRITE(9419,*) 'emp_ice(48,31) = ',emp_ice(48,31)
+         WRITE(9419,*) 'emp_oce(48,31) = ',emp_oce(48,31)
+         WRITE(9419,*) 'sprecip(48,31) = ',sprecip(48,31)
+         WRITE(9419,*) 'tprecip(48,31) = ',tprecip(48,31)
+         WRITE(9419,*) 'evap_ice(48,31) = ',evap_ice(48,31,:)
+         WRITE(9419,*) 'devap_ice(48,31) = ',devap_ice(48,31,:)
+      ENDIF
+
 #else
       zsnw(:,:) = picefr(:,:)
@@ -1874,4 +1904,14 @@
       ENDIF
 
+      IF(narea == 419) THEN
+         WRITE(9419,*) 'qns_tot(48,31) = ',qns_tot(48,31)
+         WRITE(9419,*) 'qns_oce(48,31) = ',qns_oce(48,31)
+         WRITE(9419,*) 'qns_ice(48,31) = ',qns_ice(48,31,:)
+         WRITE(9419,*) 'qevap_ice(48,31) = ',qevap_ice(48,31,:)
+         WRITE(9419,*) 'qprec_ice(48,31) = ',qprec_ice(48,31)
+         WRITE(9419,*) 'qemp_oce(48,31) = ',qemp_oce(48,31)
+         WRITE(9419,*) 'qemp_ice(48,31) = ',qemp_ice(48,31)
+      ENDIF
+
 #else
       zcptsnw (:,:) = zcptn(:,:)
@@ -1914,4 +1954,5 @@
       CASE( 'oce only' )
          zqsr_tot(:,:  ) = MAX( 0._wp , frcv(jpr_qsroce)%z3(:,:,1) )
+         zqsr_ice(:,:,:) = 0.0
       CASE( 'conservative' )
          zqsr_tot(:,:  ) = frcv(jpr_qsrmix)%z3(:,:,1)
@@ -1939,4 +1980,9 @@
                zqsr_ice(:,:,jl) = frcv(jpr_qsrice)%z3(:,:,1)
             END DO
+
+            IF(narea == 419) THEN
+               WRITE(9419,*) 'zqsr_ice(48,31) oce and ice = ',zqsr_ice(48,31,:)
+            ENDIF
+
          ENDIF
       CASE( 'mixed oce-ice' )
@@ -1980,4 +2026,10 @@
       ENDIF
 
+      IF(narea == 419) THEN
+         WRITE(9419,*) 'qsr_tot(48,31) = ',qsr_tot(48,31)
+         WRITE(9419,*) 'qsr_ice(48,31) = ',qsr_ice(48,31,:)
+      ENDIF
+
+
       !                                                      ! ========================= !
       SELECT CASE( TRIM( sn_rcv_dqnsdt%cldes ) )             !          d(qns)/dt        !
@@ -1999,6 +2051,11 @@
          ENDDO
       ELSE
-         dqns_ice(:,:,:) = zdqns_ice(:,:,:)
-      ENDIF
+         dqns_ice(:,:,:) = 0.0
+      ENDIF
+
+      IF(narea == 419) THEN
+         WRITE(9419,*) 'dqns_ice(48,31) = ',dqns_ice(48,31,:)
+      ENDIF
+
 
 #if defined key_si3      
@@ -2010,4 +2067,10 @@
          qcn_ice(:,:,:) = frcv(jpr_botm)%z3(:,:,:)
       END SELECT
+
+      IF(narea == 419) THEN
+         WRITE(9419,*) 'qml_ice(48,31) = ',qml_ice(48,31,:)
+         WRITE(9419,*) 'qcn_ice(48,31) = ',qcn_ice(48,31,:)
+      ENDIF
+
       !
       !                                                      ! ========================= !
@@ -2030,4 +2093,9 @@
          !
       ENDIF
+
+      IF(narea == 419) THEN
+         WRITE(9419,*) 'qtr_ice_top(48,31) = ',qtr_ice_top(48,31,:)
+      ENDIF
+
       !
 #endif